--[[

$Revision: 386 $

(C) Copyright 2009,2010 Bethink (bethink at naef dot com)
See LICENSE.txt for license terms.

]]


----------------------------------------------------------------------
-- Initialization

local L = LibStub("AceLocale-3.0"):GetLocale("BossNotes")


----------------------------------------------------------------------
-- Encounters

BOSS_NOTES_ENCOUNTERS = {
	{
		-- Shadowlands Raids - Added by Horrorbrood
		instanceSetId = "ShadowlandsRaid",
		raid = true,
		instances = {
			{
				--CN
				instanceId = "CNR",
				npcIds = {},
				encounters = {
					{
						-- "Shriekwing"
						encounterId = 172145,
						npcIds = {}
					},
					{
						-- "Huntsman Altimor"
						encounterId = 165066,
						npcIds = {}
					},
					{
						-- "Sun King's Salvation"
						encounterId = 24664,
						npcIds = {}
					},
					{
						-- "Artificer Xy'mox"
						encounterId = 166644,
						npcIds = {}
					},
					{
						-- "Hungering Destroyer"
						encounterId = 164261,
						npcIds = {}
					},
					{
						-- "Lady Inerva Darkvein"
						encounterId = 167517,
						npcIds = {}
					},
					{
						-- "The Council of Blood"
						encounterId = 166971,
						npcIds = {}
					},
					{
						-- "Sludgefist"
						encounterId = 174733,
						npcIds = {}
					},
										{
						-- "Stone Legion Generals"
						encounterId = 165318,
						npcIds = {}
					},
					{
						-- "Sire Denathrius"
						encounterId = 168938,
						npcIds = {}
					}
				},

},
			{
				--CN
				instanceId = "SODOM",
				npcIds = {},
				encounters = {
					{
						-- "] = "Tarragrue"
						encounterId = 152253,
						npcIds = {}
					},
					{
						-- "] = "Eye of the Jailer"
						encounterId = 180018,
						npcIds = {}
					},
					{
						-- "] = "The Nine"
						encounterId = 178738,
						npcIds = {}
					},
					{
						-- 175727"] = "Soulrender Dormazain"
						encounterId = 175727,
						npcIds = {}
					},
					{
						-- 175729"] = "Remnant of Ner'zhul"
						encounterId = 175729,
						npcIds = {}
					},
					{
						-- 176523"] = "Painsmith Raznal"
						encounterId = 176523,
						npcIds = {}
					},
					{
						-- 175731"] = "Guardian of the First Ones"
						encounterId = 175731,
						npcIds = {}
					},
					{
						-- 179390"] = "Fatescribe"
						encounterId = 179390,
						npcIds = {}
					},
										{
						-- 15990"] = "Kel'Thuzad"
						encounterId = 15990,
						npcIds = {}
					},
					{
						-- 180828"] = "Sylvanas Windrunner"
						encounterId = 180828,
						npcIds = {}
					}
				},

}


},
	},
	{
		-- BFA Dungeons - Added by Horrorbrood
		instanceSetId = "ShadowlandsDungeon",
		raid = false,
		instances = {
						{
				--NecroticWake
				instanceId = "NW",
				npcIds = {},
				encounters = {
					{
						-- "Blightbone"
						encounterId = 166880,
						npcIds = {166880}
					},
					
					{
						-- "Harvester"
						encounterId = 164479,
						npcIds = {}
					},
					{
						-- "Surgeon"
						encounterId = 166882,
						npcIds = {}
					},
					
					{
						-- "Nalthor"
						encounterId = 166945,
						npcIds = {}
					}

				},
			},	
			{
				--Plaguefall
				instanceId = "PF",
				npcIds = {},
				encounters = {
					{
						-- "Globgrog"
						encounterId = 164255,
						npcIds = {}
					},
					
					{
						-- "Doctor Ickus"
						encounterId = 164967,
						npcIds = {}
					},
					{
						-- "Domina"
						encounterId = 164266,
						npcIds = {}
					},
					
					{
						-- "Margrave"
						encounterId = 164267,
						npcIds = {}
					}

				},
			},	
			{
				-- Mists
				instanceId = "MOTS",
				npcIds = {},
				encounters = {
					{
						-- Ingra
						encounterId = 164567,
						npcIds = {}
					},
					{
						-- Mist caller
						encounterId = 170217,
						npcIds = {}
					},
					{
						-- Tred'ova
						encounterId = 164517,
						npcIds = {}
					}
				},
			},
			{
				-- Halls of Atonement
				instanceId = "HOA",
				npcIds = {},
				encounters = {
					{
						-- "Halkias"
						encounterId = 165408,
						npcIds = {}
					},
					{
						-- "Echelon"
						encounterId = 156827,
						npcIds = {}
					},
					{
						-- "Aleez"
						encounterId = 165410,
						npcIds = {}
					},
					{
						-- "Chamberlain"
						encounterId = 164218,
						npcIds = {}
					}
				},
			},
			{
				-- "Theater of Pain"
				instanceId = "TOP",
				npcIds = {},
				encounters = {
					{
						-- Challengers
						encounterId = 164451,
						npcIds = {}
					},
					{
						-- "Gorechop"
						encounterId = 162317,
						npcIds = {}
					},
					{
						-- "Xav"
						encounterId = 162329,
						npcIds = {}
					},
					{
						-- "Kul'tharok"
						encounterId = 162309,
						npcIds = {}
					},
					{
						-- "MOrdretha"
						encounterId = 165946,
						npcIds = {}
					}
				},
			},
			{
				-- De other Side
				instanceId = "DES",
				npcIds = {},
				encounters = {
					{
						-- "Hakkar"
						encounterId = 166473,
						npcIds = {}
					},
					{
						-- "Manastorms"
						encounterId = 101976,
						npcIds = {}
					},
					{
						-- "Dealer"
						encounterId = 164450,
						npcIds = {}
					},
					{
						-- "Mueh'zala"
						encounterId = 169769,
						npcIds = {}
					}
				},
			},
			{
				-- "Spire"
				instanceId = "SOA",
				npcIds = {},
				encounters = {
					{
						-- "Kin-Tara"
						encounterId = 162059,
						npcIds = {}
					},
					{
						-- "Ventunax"
						encounterId = 162058,
						npcIds = {}
					},
					{
						-- "Oryphrion"
						encounterId = 162060,
						npcIds = {}
					},
					{
						-- "Devos"
						encounterId = 167410,
						npcIds = {}
					}
				},
			},
			{
				-- "Sanguine Depths"
				instanceId = "SD",
				npcIds = {},
				encounters = {
					{
						-- "Kryxis"
						encounterId = 162100,
						npcIds = {}
					},
					{
						-- "Executor"
						encounterId = 162103,
						npcIds = {}
					},
					{
						-- "Beryllia"
						encounterId = 162102,
						npcIds = {}
					},
					{
						-- "General Kaal"
						encounterId = 165318,
						npcIds = {}
					}
				},
			},
		},
	},
--[[	
	{
		--  Dungeons - Added by Horrorbrood
		instanceSetId = "",
		raid = false,
		instances = {
			{
				--
				instanceId = "",
				npcIds = {},
				encounters = {
					{
						-- ""
						encounterId = ,
						npcIds = {}
					},
					
					{
						-- ""
						encounterId = ,
						npcIds = {}
					},
					{
						-- ""
						encounterId = ,
						npcIds = {}
					},
					
					{
						-- ""
						encounterId = ,
						npcIds = {}
					},
					{
						-- ""
						encounterId = ,
						npcIds = {}
					},
				},
			},	
 
		},
	},
	{
		-- LegionRaid - Added by Horrorbrood
		instanceSetId = "LegionRaid",
		raid = true,
		instances = {
			{
				--Emerald Nightmare
				instanceId = "LEN",
				npcIds = {102672, 105393, 106087, 100497, 102679, 102682, 102681, 102683, 113534, 103769},
				encounters = {
					{
						-- "Nythendra"
						encounterId = 102672,
						npcIds = {102672}
					},
					{
						-- "Il'gynoth"
						encounterId = 105393,
						npcIds = {105393}
					},
					{
						-- "Elerethe Renferal"
						encounterId = 106087,
						npcIds = {106087}
					},
					{
						-- "Ursoc"
						encounterId = 100497,
						npcIds = {100497}
					},
					{
						-- "Ysondre"
						encounterId = 102679,
						npcIds = {102679}
					},
					{
						-- "Lethon"-
						encounterId = 102682,
						npcIds = {102682}
					},
						{
						-- "Taerar"
						encounterId = 102681,
						npcIds = {102681}
					},
					{
						-- "Emeriss"
						encounterId = 102683,
						npcIds = {102683}
					},
					{
						-- "Cenarius"
						encounterId = 113534,
						npcIds = {113534}
					},
					{
						-- "Xavius"-
						encounterId = 103769,
						npcIds = {103769}
					},
				},
			},
		
		},
	},
	
	----raid template
	{
				--
				instanceId = "",
				npcIds = {},
				encounters = {
					{
						-- ""
						encounterId = ,
						npcIds = {}
					},
					{
						-- ""
						encounterId = ,
						npcIds = {}
					},
				},

},
	
	
	
	
	
	
	
	
	
	
--]]
	
	}

-- Fixup
for _, instanceSet in ipairs(BOSS_NOTES_ENCOUNTERS) do
	instanceSet.name = L[instanceSet.instanceSetId]
	for _, instance in ipairs(instanceSet.instances) do
		instance.name = L["instance:" .. instance.instanceId]
		instance.raid = instanceSet.raid
		if not instance.npcIds then
			instance.npcIds = { }
		end
		for _, encounter in ipairs(instance.encounters) do
			encounter.name = L["encounter:" .. encounter.encounterId]
			if not encounter.npcIds then
				encounter.npcIds = { encounter.encounterId }
			end
		end
	end
	table.sort(instanceSet.instances, function (a, b) return a.name <= b.name end)
end